<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<!DOCTYPE MAN SYSTEM "file://D:\PROGRA~1\scilab-4.0\man/manrev.dtd">
<MAN>
  <LANGUAGE>eng</LANGUAGE>
  <TITLE>bbv</TITLE>
  <TYPE>Scilab Function  </TYPE>
  <DATE>4-Sep-2006</DATE>
  <SHORT_DESCRIPTION name="bbv">create the BBC weighted network model</SHORT_DESCRIPTION>

  <CALLING_SEQUENCE>
  <CALLING_SEQUENCE_ITEM>[a,b,s,w] = bbv(M0,M,T,W0,Delta)</CALLING_SEQUENCE_ITEM>
  </CALLING_SEQUENCE>

  <PARAM>
  <PARAM_INDENT>

    <PARAM_ITEM>
    <PARAM_NAME>M0</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : integer
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>M</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : integer
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>T</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : integer
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>W0</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : a real number
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>Delta</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : a real number
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>a</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : row vector of the numbers of the tail nodes of the graph (its size is the number of edges of the graph)
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>b</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : row vector of the numbers of the head nodes of the graph (its size is the number of edges of the graph)
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>s</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : row vector of the weight S of nodes of the graph (its size is the number of nodes of the graph)
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>w</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : row vector of the weight of edges of the graph (its size is the number of edges of the graph)
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>
  </PARAM_INDENT>
  </PARAM>
 
  <DESCRIPTION>
     <DESCRIPTION_INDENT>
     <DESCRIPTION_ITEM>
	     <P>
		     bbv creates the famous BBV model with tunable exponent  2 \lg r \leq3. M0 is the number of the initial nodes which compose an original complete graph. M is the number of link added into the model every time step (M \leq M0), T is the evolution time step. The W0 is the initial weight of edge added the network at first. Delta is the additional weight when one nodes is linked by a new edge.
	     </P>
     </DESCRIPTION_ITEM>
     </DESCRIPTION_INDENT>
  </DESCRIPTION>

  <EXAMPLE><![CDATA[
   [a b s w]=bbv(6,4,9994,1,1);
  ]]></EXAMPLE>

  <SEE_ALSO>
    <SEE_ALSO_ITEM> <LINK> er</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> ws</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> ba</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> sba</LINK> </SEE_ALSO_ITEM>
  </SEE_ALSO>

  <AUTHORS>
    <AUTHORS_ITEM label='Wubo'>
    </AUTHORS_ITEM>
  </AUTHORS>
</MAN>
